server:
  shutdown: graceful
  port: 9078
  servlet:
    context-path: /
    
  ssl: 
    enabled: false
    key-alias: fimskeystore
    key-store: classpath:ssl/fimskeystore.pkcs12
    key-store-password: 'Xit5811807@)@#'
    key-password: 'Xit5811807@)@#'
    trust-store: classpath:ssl/fimstrust.pkcs12
    trust-store-password: 'Xit5811807@)@#'
    
#  tomcat:
#    remoteip:
#      protocol-header-https-value: https             

spring:
  application:
    name: fims-chongno
  main:
    allow-bean-definition-overriding: true
#    web-application-type: SERVLET
  sql:
    init:
      platform: mariadb
  datasource:
    hikari:
      fims:
        driver-class-name: net.sf.log4jdbc.sql.jdbcapi.DriverSpy
#        jdbc-url: jdbc:log4jdbc:mariadb://211.119.124.3:53306/fims?useUnicode=true&characterEncoding=utf8&serverTimezone=Asia/Seoul&useSSL=false&autocommit=false
        jdbc-url: jdbc:log4jdbc:mariadb://211.119.124.9:4407/fims_chongno?useUnicode=true&characterEncoding=utf8&serverTimezone=Asia/Seoul&useSSL=false&autocommit=false
        username: fimsweb
        password: xit581!*)&
        auto-commit: false
        # 개발 환경에서만 활성화. 운영환경에서는 조정하거나 제거할 것
        maximumPoolSize: 3
  mvc:
    static-path-pattern: /resources/**,/webjars/**,/files/**
  web:
    resources:
      static-locations: /resources/,classpath:/META-INF/resources/webjars/,file:files/
      
messageSource:
  basenames:
    - classpath:message/message-common
    - classpath:message/authentication-message
    - classpath:org/egovframe/rte/fdl/property/messages/properties

propertyService:
  properties:
    - tempDir: C:\temp
    - pageUnit: 10
    - pageSize: 10
    - permitAccess: /intf/**/*
  extFileName:
    - encoding: UTF-8
      filename: classpath*:intf-conf/xit-lvis.properties
